package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag495;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.MT495Creator;

public class Tag11sCreator extends AbsTagCreate {
    private MT495Creator mt495Creator;

    public Tag11sCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt495Creator = (MT495Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag11aValue = mt495Creator.getMtandDate();
        mt495Creator.set("11S", tag11aValue);
    }
}
